<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KIO.Job</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>Job Class Reference</h1>
<code>from PyKDE4.kio import *</code>
<p>
Inherits: <a href="../kdecore/KCompositeJob.html">KCompositeJob</a> &#x2192; <a href="../kdecore/KJob.html">KJob</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />
Subclasses: <a href="../kio/KIO.CopyJob.html">KIO.CopyJob</a>, <a href="../kio/KIO.DeleteJob.html">KIO.DeleteJob</a>, <a href="../kio/KIO.FileCopyJob.html">KIO.FileCopyJob</a><br />
Namespace: KIO<br />
<h2>Detailed Description</h2>

<p>The base class for all jobs.
For all jobs created in an application, the code looks like
</p>
<p>
<pre class="fragment">
   KIO.Job * job = KIO.someoperation( some parameters );
   connect( job, SIGNAL( result( KJob * ) ),
            this, SLOT( slotResult( KJob * ) ) );
</pre>
(other connects, specific to the job)
</p>
<p>
And slotResult is usually at least:
</p>
<p>
<pre class="fragment">
  if ( job-&gt;error() )
      job-&gt;ui()-&gt;showErrorDialog();
</pre>
<dl class="see" compact><dt><b>See also:</b></dt><dd> KIO.Scheduler
</dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Signals</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177211532">canceled</a> (<a href="../kdecore/KJob.html">KJob</a> job)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189782188">connected</a> (<a href="../kio/KIO.Job.html">KIO.Job</a> job)</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186552460">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186555852">__init__</a> (self, JobPrivate dd)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180303532">addMetaData</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> key, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> value)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180304460">addMetaData</a> (self, QMap<QString,QString> values)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189781708">addSubjob</a> (self, <a href="../kdecore/KJob.html">KJob</a> job)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177211532">canceled</a> (self, <a href="../kdecore/KJob.html">KJob</a> job)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189782188">connected</a> (self, <a href="../kio/KIO.Job.html">KIO.Job</a> job)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189735564">detailedErrorStrings</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> reqUrl=0, int method=-1)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj162871756">doKill</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj167790380">doResume</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj162870924">doSuspend</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj167792364">errorString</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186470892">isInteractive</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj176988524">mergeMetaData</a> (self, QMap<QString,QString> values)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kio/KIO.MetaData.html">KIO.MetaData</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177210668">metaData</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kio/KIO.MetaData.html">KIO.MetaData</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177210444">outgoingMetaData</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kio/KIO.Job.html">KIO.Job</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180305100">parentJob</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177209996">queryMetaData</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> key)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189782700">removeSubjob</a> (self, <a href="../kdecore/KJob.html">KJob</a> job)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186472076">setMetaData</a> (self, <a href="../kio/KIO.MetaData.html">KIO.MetaData</a> metaData)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186471852">setParentJob</a> (self, <a href="../kio/KIO.Job.html">KIO.Job</a> parentJob)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186473900">showErrorDialog</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186553228">start</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kio/KIO.JobUiDelegate.html">KIO.JobUiDelegate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj162871788">ui</a> (self)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj186552460"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj186555852"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">JobPrivate&nbsp;</td>
<td class="paramname"><em>dd</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj180303532"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> addMetaData</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>key</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>value</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Add key/value pair to the meta data that is sent to the slave.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>key</em>&nbsp;</td><td> the key of the meta data

<tr><td></td><td valign="top"><em>value</em>&nbsp;</td><td> the value of the meta data
</td></tr> </table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> setMetaData()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> mergeMetaData()
</dd></dl>
</p></div></div><a class="anchor" name="obj180304460"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> addMetaData</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">QMap<QString,QString>&nbsp;</td>
<td class="paramname"><em>values</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Add key/value pairs to the meta data that is sent to the slave.
If a certain key already existed, it will be overridden.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>values</em>&nbsp;</td><td> the meta data to add
</td></tr> </table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> setMetaData()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> mergeMetaData()
</dd></dl>
</p></div></div><a class="anchor" name="obj189781708"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool addSubjob</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KJob.html">KJob</a>&nbsp;</td>
<td class="paramname"><em>job</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Add a job that has to be finished before a result
is emitted. This has obviously to be called before
the finish signal is emitted by the slave.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>job</em>&nbsp;</td><td> the subjob to add
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj177211532"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> canceled</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KJob.html">KJob</a>&nbsp;</td>
<td class="paramname"><em>job</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>@deprecated. Don't use !
Emitted when the job is canceled.
Signal result() is emitted as well, and error() is,
in this case, ERR_USER_CANCELED.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>job</em>&nbsp;</td><td> the job that emitted this signal
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("canceled(KJob*)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj189782188"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> connected</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KIO.Job.html">KIO.Job</a>&nbsp;</td>
<td class="paramname"><em>job</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Emitted when the slave successfully connected to the host.
There is no guarantee the slave will send this, and this is
currently unused (in the applications).
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>job</em>&nbsp;</td><td> the job that emitted this signal
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("connected(Job*)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj189735564"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> detailedErrorStrings</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>reqUrl=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>method=-1</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Converts an error code and a non-i18n error message into i18n
strings suitable for presentation in a detailed error message box.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>reqUrl</em>&nbsp;</td><td> the request URL that generated this error message

<tr><td></td><td valign="top"><em>method</em>&nbsp;</td><td> the method that generated this error message
(unimplemented)
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the following strings: caption, error + description,
causes+solutions
</dd></dl>
</p></div></div><a class="anchor" name="obj162871756"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool doKill</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Abort this job.
This kills all subjobs and deletes the job.
</p></div></div><a class="anchor" name="obj167790380"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool doResume</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Resume this job
<dl class="see" compact><dt><b>See also:</b></dt><dd> suspend
</dd></dl>
</p></div></div><a class="anchor" name="obj162870924"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool doSuspend</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Suspend this job
<dl class="see" compact><dt><b>See also:</b></dt><dd> resume
</dd></dl>
</p></div></div><a class="anchor" name="obj167792364"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> errorString</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Converts an error code and a non-i18n error message into an
error message in the current language. The low level (non-i18n)
error message (usually a url) is put into the translated error
message using %1.
</p>
<p>
Example for errid == ERR_CANNOT_OPEN_FOR_READING:
<pre class="fragment">
   i18n( "Could not read\n%1" ).arg( errortext );
</pre>
Use this to display the error yourself, but for a dialog box
use Job.showErrorDialog. Do not call it if error()
is not 0.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the error message and if there is no error, a message
telling the user that the app is broken, so check with
error() whether there is an error
</dd></dl>
</p></div></div><a class="anchor" name="obj186470892"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isInteractive</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns whether message display is enabled or disabled.
See also setInteractive .
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true if message display is enabled
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setInteractive()
</dd></dl>
</p></div></div><a class="anchor" name="obj176988524"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> mergeMetaData</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">QMap<QString,QString>&nbsp;</td>
<td class="paramname"><em>values</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Add key/value pairs to the meta data that is sent to the slave.
If a certain key already existed, it will remain unchanged.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>values</em>&nbsp;</td><td> the meta data to merge
</td></tr> </table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> setMetaData()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> addMetaData()
</dd></dl>
</p></div></div><a class="anchor" name="obj177210668"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kio/KIO.MetaData.html">KIO.MetaData</a> metaData</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Get meta data received from the slave.
(Valid when first data is received and/or slave is finished)
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the job's meta data
</dd></dl>
</p></div></div><a class="anchor" name="obj177210444"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kio/KIO.MetaData.html">KIO.MetaData</a> outgoingMetaData</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>@internal. For the scheduler. Do not use.
</p></div></div><a class="anchor" name="obj180305100"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kio/KIO.Job.html">KIO.Job</a> parentJob</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the parent job, if there is one.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the parent job, or 0 if there is none
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setParentJob
</dd></dl>
</p></div></div><a class="anchor" name="obj177209996"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> queryMetaData</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>key</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Query meta data received from the slave.
(Valid when first data is received and/or slave is finished)
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>key</em>&nbsp;</td><td> the key of the meta data to retrieve
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the value of the meta data, or QString() if the
</dd></dl> <b>key</b> does not exist
</p></div></div><a class="anchor" name="obj189782700"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool removeSubjob</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KJob.html">KJob</a>&nbsp;</td>
<td class="paramname"><em>job</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Mark a sub job as being done.
</p>
<p>
KDE4 change: this doesn't terminate the parent job anymore, call emitResult to do that.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>job</em>&nbsp;</td><td> the subjob to remove
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj186472076"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setMetaData</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KIO.MetaData.html">KIO.MetaData</a>&nbsp;</td>
<td class="paramname"><em>metaData</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set meta data to be sent to the slave, replacing existing
meta data.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>metaData</em>&nbsp;</td><td> the meta data to set
</td></tr> </table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> addMetaData()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> mergeMetaData()
</dd></dl>
</p></div></div><a class="anchor" name="obj186471852"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setParentJob</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KIO.Job.html">KIO.Job</a>&nbsp;</td>
<td class="paramname"><em>parentJob</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set the parent Job.
One example use of this is when FileCopyJob calls RenameDialog.open,
it must pass the correct progress ID of the parent CopyJob
(to hide the progress dialog).
You can set the parent job only once. By default a job does not
have a parent job.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>parentJob</em>&nbsp;</td><td> the new parent job
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj186473900"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> showErrorDialog</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Display a dialog box to inform the user of the error given by
this job.
Only call if error is not 0, and only in the slot connected
to result.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> the parent widget for the dialog box, can be 0 for
top-level
</td></tr> </table></dl>
<p> <dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> you should use job-&gt;ui()-&gt;setWindow(parent)
and job-&gt;ui()-&gt;showErrorMessage() instead
</dd></dl>
</p></div></div><a class="anchor" name="obj186553228"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> start</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj162871788"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kio/KIO.JobUiDelegate.html">KIO.JobUiDelegate</a> ui</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Retrieves the UI delegate of this job.
</p>
<p>
This method is basically a convenience for static_cast&lt;KIO.JobUiDelegate*&gt;(uiDelegate()).
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the delegate used by the job to communicate with the UI
</dd></dl>
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
